---
title: GTIN/ISBN/UPC to Item ID Lookups
slug: backyardapi/home-improvement-product-data-api/reference/gtin-upc-to-home-improvement-item-id
docTags: 
createdAt: 2024-07-23T14:57:52.062Z
---

# GTIN/ISBN/UPC to Home Improvement Item ID Lookups

Backyard API allows you to retrieve Home Improvement Product Data by GTIN, ISBN or UPC code when making a  `type=product`  query. There is no additional charge for this service.

To lookup Home Improvement Product Data by GTIN, ISBN or UPC code you simply use the  `gtin`  parameter instead of the  `item_id`  when making a  `type=product`  request.

When the  `gtin`  parameter is supplied Backyard will attempt to look up the GTIN/ISBN/UPC on Home Improvement before then retrieving product details for the resultant  `item_id` .

`type=product&gtin=046396037169`

The full Home Improvement Product Data API request would be:

:::CodeblockTabs
HTTP

```none
https://api.backyardapi.com/request?api_key=demo&engine=homedepot&type=product&gtin=046396037169
```
:::

:::hint{type="info"}
Note that Backyard API will cache the GTIN-to-ASIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).
:::

***

**Next Steps**
     [Getting Started](https://docs.trajectdata.com/backyardapi/home-improvement-product-data-api/overview)
     [Request Parameters](https://docs.trajectdata.com/backyardapi/home-improvement-product-data-api/parameters/common)
